Indian ID Card
Introduction
The API documentation describes a POST request to the Signzy API for retrieving identification classifications for Indian ID cards. It requires a Patron ID and an Access Token in the Authorization header. The request body includes the task and image files in JSON format. The response will contain the classification details of the ID card.
Sample cURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/...patronID.../idclassifications \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"indianIdCard","essentials":{"files":["...url of the images..."]}}'Parameter | Description | Data Type | Required |
|---|---|---|---|
patronID | ID of the patron whose identification classifications are to be retrieved | string | Yes |
Access-Token | Access Token for authorizing the request | string | Yes |
task | The type of task to be performed i.e., "indianIdCard" in this case | string | Yes |
files | URL(s) of the image(s) of the ID card to be classified | array of strings | Yes |
Sample Response
{
"essentials": {
"files": ["..url..to..the..image.."]
},
"id": "5babXXXXX0c6",
"patronId": "5a905XXXXX19d8",
"task": "indianIdCard",
"result": [{
"status": "success",
"classification": {
"status": "success",
"idType": "aadhaar/individualPan/businessPan/unknownPan/passport/dl/voterId/cheque/unknown",
"message": "Successfully completed."
}
}]
}Parameter | Data Type | Required | Description |
|---|---|---|---|
essentials | object | yes | Essential details of the ID image. |
files | array | yes | URLs to the image of the ID card to be analyzed. |
id | string | yes | Unique identifier for the classification request. |
patronId | string | yes | Unique identifier of the patron initiating the request. |
task | string | yes | Type of ID card to be analyzed. |
result | array | yes | Result of the classification request. |
status | string | yes | Status of the classification request. |
idType | string | yes | Type of ID card identified in the image. |
message | string | yes | The message indicating the status of the request. |